- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | Friends

# QDomNode Class Reference

Search for all occurrences

## Detailed Description

Definition at line 128 of file qdom.h.

`#include <qdom.h>`

Inheritance diagram for QDomNode:
[legend]

List of all members.

## Public Types
enum | NodeType { ElementNode = 1, AttributeNode = 2, TextNode = 3, CDATASectionNode = 4, EntityReferenceNode = 5, EntityNode = 6, ProcessingInstructionNode = 7, CommentNode = 8, DocumentNode = 9, DocumentTypeNode = 10, DocumentFragmentNode = 11, NotationNode = 12, BaseNode = 21, CharacterDataNode = 22 }
enum | EncodingPolicy { EncodingFromDocument = 1, EncodingFromTextStream = 2 }
## Public Member Functions
| QDomNode ()
| QDomNode (const QDomNode &)
QDomNode & | operator= (const QDomNode &)
bool | operator== (const QDomNode &) const
bool | operator!= (const QDomNode &) const
| ~QDomNode ()
QDomNode | insertBefore (const QDomNode &newChild, const QDomNode &refChild)
QDomNode | insertAfter (const QDomNode &newChild, const QDomNode &refChild)
QDomNode | replaceChild (const QDomNode &newChild, const QDomNode &oldChild)
QDomNode | removeChild (const QDomNode &oldChild)
QDomNode | appendChild (const QDomNode &newChild)
bool | hasChildNodes () const
QDomNode | cloneNode (bool deep=true) const
void | normalize ()
bool | isSupported (const QString &feature, const QString &version) const
QString | nodeName () const
NodeType | nodeType () const
QDomNode | parentNode () const
QDomNodeList | childNodes () const
QDomNode | firstChild () const
QDomNode | lastChild () const
QDomNode | previousSibling () const
QDomNode | nextSibling () const
QDomNamedNodeMap | attributes () const
QDomDocument | ownerDocument () const
QString | namespaceURI () const
QString | localName () const
bool | hasAttributes () const
QString | nodeValue () const
void | setNodeValue (const QString &)
QString | prefix () const
void | setPrefix (const QString &pre)
bool | isAttr () const
bool | isCDATASection () const
bool | isDocumentFragment () const
bool | isDocument () const
bool | isDocumentType () const
bool | isElement () const
bool | isEntityReference () const
bool | isText () const
bool | isEntity () const
bool | isNotation () const
bool | isProcessingInstruction () const
bool | isCharacterData () const
bool | isComment () const
QDomNode | namedItem (const QString &name) const
| Shortcut to avoid dealing with QDomNodeList all the time.
bool | isNull () const
void | clear ()
QDomAttr | toAttr () const
QDomCDATASection | toCDATASection () const
QDomDocumentFragment | toDocumentFragment () const
QDomDocument | toDocument () const
QDomDocumentType | toDocumentType () const
QDomElement | toElement () const
QDomEntityReference | toEntityReference () const
QDomText | toText () const
QDomEntity | toEntity () const
QDomNotation | toNotation () const
QDomProcessingInstruction | toProcessingInstruction () const
QDomCharacterData | toCharacterData () const
QDomComment | toComment () const
void | save (QTextStream &, int) const
void | save (QTextStream &, int, EncodingPolicy) const
QDomElement | firstChildElement (const QString &tagName=QString()) const
QDomElement | lastChildElement (const QString &tagName=QString()) const
QDomElement | previousSiblingElement (const QString &tagName=QString()) const
QDomElement | nextSiblingElement (const QString &taName=QString()) const
int | lineNumber () const
int | columnNumber () const
## Protected Member Functions
| QDomNode (QDomNodePrivate *)
## Protected Attributes
QDomNodePrivate * | impl
## Friends
class | QDomDocument
class | QDomDocumentType
class | QDomNodeList
class | QDomNamedNodeMap

## Member Enumeration Documentation

enum NodeType

Search for all occurrences

Enumerator:

  ElementNode | Search for all occurrences
  AttributeNode | Search for all occurrences
  TextNode | Search for all occurrences
  CDATASectionNode | Search for all occurrences
  EntityReferenceNode | Search for all occurrences
  EntityNode | Search for all occurrences
  ProcessingInstructionNode | Search for all occurrences
  CommentNode | Search for all occurrences
  DocumentNode | Search for all occurrences
  DocumentTypeNode | Search for all occurrences
  DocumentFragmentNode | Search for all occurrences
  NotationNode | Search for all occurrences
  BaseNode | Search for all occurrences
  CharacterDataNode | Search for all occurrences

Definition at line 131 of file qdom.h.

                      {
            ElementNode               = 1,
            AttributeNode             = 2,
            TextNode                  = 3,
            CDATASectionNode          = 4,
            EntityReferenceNode       = 5,
            EntityNode                = 6,
            ProcessingInstructionNode = 7,
            CommentNode               = 8,
            DocumentNode              = 9,
            DocumentTypeNode          = 10,
            DocumentFragmentNode      = 11,
            NotationNode              = 12,
            BaseNode                  = 21,// this is not in the standard
            CharacterDataNode         = 22 // this is not in the standard
        };

enum EncodingPolicy

Search for all occurrences

Enumerator:

  EncodingFromDocument | Search for all occurrences
  EncodingFromTextStream | Search for all occurrences

Definition at line 148 of file qdom.h.

        {
            EncodingFromDocument      = 1,
            EncodingFromTextStream    = 2
        };

## Constructor & Destructor Documentation

QDomNode | ( |  | ) |

QDomNode | ( | const QDomNode & |  | ) |

~QDomNode | ( |  | ) |

QDomNode | ( | QDomNodePrivate * |  | ) | `[protected]`

## Member Function Documentation

QDomNode& operator= | ( | const QDomNode & |  | ) |

bool operator== | ( | const QDomNode & |  | ) | const

bool operator!= | ( | const QDomNode & |  | ) | const

QDomNode insertBefore | ( | const QDomNode & | newChild,
|  | const QDomNode & | refChild
| ) |  |

Search for all occurrences

QDomNode insertAfter | ( | const QDomNode & | newChild,
|  | const QDomNode & | refChild
| ) |  |

Search for all occurrences

QDomNode replaceChild | ( | const QDomNode & | newChild,
|  | const QDomNode & | oldChild
| ) |  |

Search for all occurrences

QDomNode removeChild | ( | const QDomNode & | oldChild | ) |

Search for all occurrences

QDomNode appendChild | ( | const QDomNode & | newChild | ) |

Search for all occurrences

bool hasChildNodes | ( |  | ) | const

Search for all occurrences

QDomNode cloneNode | ( | bool | deep = `true` | ) | const

Search for all occurrences

void normalize | ( |  | ) |

Search for all occurrences

bool isSupported | ( | const QString & | feature,
|  | const QString & | version
| ) |  | const

Search for all occurrences

QString nodeName | ( |  | ) | const

Search for all occurrences

NodeType nodeType | ( |  | ) | const

Search for all occurrences

Reimplemented in QDomDocumentType, QDomDocument, QDomDocumentFragment, QDomCharacterData, QDomAttr, QDomElement, QDomText, QDomComment, QDomCDATASection, QDomNotation, QDomEntity, QDomEntityReference, and QDomProcessingInstruction.

QDomNode parentNode | ( |  | ) | const

Search for all occurrences

QDomNodeList childNodes | ( |  | ) | const

Search for all occurrences

QDomNode firstChild | ( |  | ) | const

Search for all occurrences

QDomNode lastChild | ( |  | ) | const

Search for all occurrences

QDomNode previousSibling | ( |  | ) | const

Search for all occurrences

QDomNode nextSibling | ( |  | ) | const

Search for all occurrences

QDomNamedNodeMap attributes | ( |  | ) | const

Search for all occurrences

Reimplemented in QDomElement.

QDomDocument ownerDocument | ( |  | ) | const

Search for all occurrences

QString namespaceURI | ( |  | ) | const

Search for all occurrences

QString localName | ( |  | ) | const

Search for all occurrences

bool hasAttributes | ( |  | ) | const

Search for all occurrences

QString nodeValue | ( |  | ) | const

Search for all occurrences

void setNodeValue | ( | const QString & |  | ) |

Search for all occurrences

QString prefix | ( |  | ) | const

Search for all occurrences

void setPrefix | ( | const QString & | pre | ) |

Search for all occurrences

bool isAttr | ( |  | ) | const

Search for all occurrences

bool isCDATASection | ( |  | ) | const

Search for all occurrences

bool isDocumentFragment | ( |  | ) | const

Search for all occurrences

bool isDocument | ( |  | ) | const

Search for all occurrences

bool isDocumentType | ( |  | ) | const

Search for all occurrences

bool isElement | ( |  | ) | const

Search for all occurrences

bool isEntityReference | ( |  | ) | const

Search for all occurrences

bool isText | ( |  | ) | const

Search for all occurrences

bool isEntity | ( |  | ) | const

Search for all occurrences

bool isNotation | ( |  | ) | const

Search for all occurrences

bool isProcessingInstruction | ( |  | ) | const

Search for all occurrences

bool isCharacterData | ( |  | ) | const

Search for all occurrences

bool isComment | ( |  | ) | const

Search for all occurrences

QDomNode namedItem | ( | const QString & | name | ) | const

Search for all occurrences

Shortcut to avoid dealing with QDomNodeList all the time.

bool isNull | ( |  | ) | const

Search for all occurrences

void clear | ( |  | ) |

Search for all occurrences

QDomAttr toAttr | ( |  | ) | const

Search for all occurrences

QDomCDATASection toCDATASection | ( |  | ) | const

Search for all occurrences

QDomDocumentFragment toDocumentFragment | ( |  | ) | const

Search for all occurrences

QDomDocument toDocument | ( |  | ) | const

Search for all occurrences

QDomDocumentType toDocumentType | ( |  | ) | const

Search for all occurrences

QDomElement toElement | ( |  | ) | const

Search for all occurrences

QDomEntityReference toEntityReference | ( |  | ) | const

Search for all occurrences

QDomText toText | ( |  | ) | const

Search for all occurrences

QDomEntity toEntity | ( |  | ) | const

Search for all occurrences

QDomNotation toNotation | ( |  | ) | const

Search for all occurrences

QDomProcessingInstruction toProcessingInstruction | ( |  | ) | const

Search for all occurrences

QDomCharacterData toCharacterData | ( |  | ) | const

Search for all occurrences

QDomComment toComment | ( |  | ) | const

Search for all occurrences

void save | ( | QTextStream & | ,
|  | int |
| ) |  | const

Search for all occurrences

void save | ( | QTextStream & | ,
|  | int | ,
|  | EncodingPolicy |
| ) |  | const

Search for all occurrences

QDomElement firstChildElement | ( | const QString & | tagName = `QString()` | ) | const

Search for all occurrences

QDomElement lastChildElement | ( | const QString & | tagName = `QString()` | ) | const

Search for all occurrences

QDomElement previousSiblingElement | ( | const QString & | tagName = `QString()` | ) | const

Search for all occurrences

QDomElement nextSiblingElement | ( | const QString & | taName = `QString()` | ) | const

Search for all occurrences

int lineNumber | ( |  | ) | const

Search for all occurrences

int columnNumber | ( |  | ) | const

Search for all occurrences

## Friends And Related Function Documentation

friend class QDomDocument `[friend]`

Search for all occurrences

Reimplemented in QDomDocumentType, QDomDocumentFragment, QDomCharacterData, QDomAttr, QDomElement, QDomText, QDomComment, QDomCDATASection, QDomNotation, QDomEntityReference, and QDomProcessingInstruction.

Definition at line 247 of file qdom.h.

friend class QDomDocumentType `[friend]`

Search for all occurrences

Definition at line 248 of file qdom.h.

friend class QDomNodeList `[friend]`

Search for all occurrences

Definition at line 249 of file qdom.h.

friend class QDomNamedNodeMap `[friend]`

Search for all occurrences

Definition at line 250 of file qdom.h.

## Member Data Documentation

QDomNodePrivate* impl `[protected]`

Search for all occurrences

Definition at line 243 of file qdom.h.

The documentation for this class was generated from the following file:

- QtXml/qdom.h

QDomNode QDomNode QDomNode QDomNode QDomNode QDomNode QDomNode QDomNode QDomNode QDomNode
QDomNode QDomNode QDomNode QDomNode QDomNode QDomNode QDomNode QDomNode QDomNode QDomNode